post
https://sandbox.saner.secpod.com/AncorWebService/perform
Get Firmware Remediation Job Status.
This method gets the status of the job/task created as part of the firmware remediation job.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier | Yes | string |
| name | Name of the firmware remediation job | Yes | string |
| device | Device name(s) | No | array |
| group | Group name(s) | No | array |
| family | Family name(s) | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getFirmwareRemediationJobStatus(
accountid="Demo Account",
name="demo job",
device=["device 1"]
)
print(response)
client.close()Requires Python 3.9 or later.